package main

type TileBasic struct {
	name   string
	symbol string
	color  string
}

func (t *TileBasic) Name() string {
	return t.name
}

func (t *TileBasic) Type() TileType {
	return BasicTile
}

func (t *TileBasic) Symbol() string {
	return t.symbol
}

func (t *TileBasic) Color() string {
	return t.color
}

func (t *TileBasic) Next() {}

func (t *TileBasic) ToMap() map[string]any {
	return map[string]any{
		"name":   t.name,
		"symbol": t.symbol,
		"color":  t.color,
	}
}
